local drawableSprite = require("structs.drawable_sprite")
local fakeTilesHelper = require("helpers.fake_tiles")

local platform = {}
platform.name = "EvaHelper/FlagTriggerSolidPlatform"
platform.depth = 0
platform.placements = {
    {
        name = "Flag Trigger Solid Platform",
        data = {
			width = 64,
			height = 16,
			tiletype = "3",
			flag = "",
			appearDelay = 0,
			disappearDelay = 0,
			active = false,
			blendIn = false
        }
    }
}

platform.fieldOrder = { "x", "y", "width", "height", "tiletype", "flag", "appearDelay", "disappearDelay", "active", "blendIn" }

platform.sprite = fakeTilesHelper.getEntitySpriteFunction("tiletype", false)
platform.fieldInformation = fakeTilesHelper.getFieldInformation("tiletype")

return platform
